Name:		xlockmore
Version:	5.38
%define subrel	1
Release:	%mkrel 2
Summary:	An X terminal locking program
License:	BSD
Group:		Graphical desktop/Other
URL:		http://www.tux.org/~bagleyd/xlockmore.html
Source0:	http://www.tux.org/~bagleyd/xlock/%{name}-%{version}/%{name}-%{version}.tar.bz2
Source1:	xlock.pamd
Patch0:		xlockmore-5.32-soundpath.patch
Patch3:		xlockmore-5.32-include_ftgl_path.patch
Patch4:		xlockmore-5.38-CVE-2012-4524.patch

Requires:	fortune-mod
Requires:	pam
#fhimpe: needed for chkpwd group
Requires:	setup

BuildRequires:	gtk+2-devel
BuildRequires:	mesaglu-devel 
BuildRequires:	pam-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxmu-devel
BuildRequires:	ftgl-devel
BuildRequires:	libaudiofile-devel
BuildRequires:	xpm-devel

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.


%package gtk2
Summary:	A GTK2 front-end to xlockmore
Url:		http://www.tux.org/~bagleyd/xlockmore.html
Group:		Graphical desktop/Other
License:	BSD
Requires:	xlockmore

%description gtk2
A GTK2 front-end to xlockmore.


%prep
%setup -q
%patch0 -p1 -b .soundpath
%patch3 -p1 -b .include_ftgl_path
%patch4 -p0 -b .CVE-2012-4524

sed -i -e "s,/lib,/%{_lib},g" configure

%build
autoconf
%configure2_5x \
	--without-motif \
	--with-gtk2 \
	--without-gtk \
	--enable-pam \
	--enable-syslog \
	--disable-setuid \
	--with-crypt \
	--without-rplay \
	--enable-appdefaultdir=%{_datadir}/X11/app-defaults
%make CC="gcc %ldflags" XLOCKLDFLAGS="%ldflags"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/sounds/xlockmore

perl -p -i -e 's/-o root//g' Makefile */Makefile
%makeinstall

install -m644 xlock/xlock.man -D %{buildroot}%{_mandir}/man1/xlock.1
install -m644 xlock/XLock.ad -D %{buildroot}%{_datadir}/X11/app-defaults/XLock
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/pam.d/xlock

cp sounds/*.au %{buildroot}%{_datadir}/sounds/xlockmore
rm -rf %{buildroot}%{_mandir}/xlock.1*
chmod 755 %{buildroot}%{_bindir}/xlock


mkdir -p %{buildroot}%{_datadir}/applications

cat >> %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xlock
Comment=X11 screen saver
Icon=system-lock-screen
Exec=xlock
Terminal=false
Type=Application
Categories=System;
EOF

%files
%attr(2755,root,chkpwd) %{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_datadir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/pam.d/*

%files gtk2
%{_bindir}/xglock
%{_datadir}/xlock


%changelog

* Wed Nov 07 2012 luigiwalser <luigiwalser> 5.38-2.1.mga2
+ Revision: 315413
- add patch from netbsd to fix CVE-2012-4524
- use system-lock-screen for menu icon

* Sat Feb 11 2012 luigiwalser <luigiwalser> 5.38-1.mga2
+ Revision: 207590
- 5.38

* Mon Jan 09 2012 kamil <kamil> 5.37-1.mga2
+ Revision: 194119
- new version
- clean spec

* Fri Sep 16 2011 fwang <fwang> 5.34-2.mga2
+ Revision: 144162
- cleanup br

* Thu Sep 15 2011 fwang <fwang> 5.34-1.mga2
+ Revision: 144047
- fix desktop file

  + pterjan <pterjan>
    - Update to 5.34

* Thu Mar 03 2011 ahmad <ahmad> 5.32-1.mga1
+ Revision: 62751
- update to 5.32
- rediff patches
- enable parallel make
- drop esound-devel BR (phasing esound out of the distro)
- drop un-applied patch (been un-applied for 2 years)

* Thu Jan 20 2011 pterjan <pterjan> 5.28-3.mga1
+ Revision: 25761
- imported package xlockmore

